%define module_name Algorithm-LibLinear
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(ExtUtils/CBuilder.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Smart/Args/TypeTiny.pm) perl(Test/Deep.pm) perl(Test/Exception.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Type/Tiny.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.26
Release: alt2
Summary: A Perl binding for LIBLINEAR, a library for classification/regression using linear SVM and logistic...
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SE/SEKIA/%{module_name}-%{version}.tar.gz

%description
Algorithm::LibLinear is an XS module that provides features of LIBLINEAR, a fast C library for classification and regression.

Current version is based on LIBLINEAR 1.94, released on Nov 12 2013.


%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.pod
%perl_vendor_archlib/A*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.26-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.26-alt1
- updated by package builder

* Thu Aug 18 2022 Igor Vlasenko <viy@altlinux.org> 0.25-alt1
- updated by package builder

* Tue Apr 05 2022 Igor Vlasenko <viy@altlinux.org> 0.24-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.23-alt2
- rebuild with perl 5.34.0

* Sun Dec 13 2020 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.22-alt2
- rebuild with perl 5.30

* Fri Aug 28 2020 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.19-alt1.1
- rebuild with perl 5.28.1

* Mon Oct 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1
- regenerated from template by package builder

* Fri Dec 29 2017 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.17-alt2
- rebuild with perl 5.26

* Mon May 01 2017 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.16-alt2
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1.1
- rebuild with perl 5.22

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.12-alt2
- rebuild to get rid of unmets

* Sat Nov 08 2014 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Mon May 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

